Failed to create a compute <Datacenter> (VMWare) instance foo.sub.domain.tld: undefined method

`[]' for nil:NilClass

03/31/2015 01:48 AM - Christian Meißner

Status: Resolved   

Priority: High   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

If we try to create a virtual machine (compute resource vmware) with image based provisioning method we get the error message

above. Log is attached but we can't find helpful information there.

The service user which is used to connect to vSphere-Server is attached to role Admin so it can't be a permission problem.

Image is defined as followed:

Name: test

OS: Ubuntu Trusty Thar

Arch: x86_64

User: *

Pass: *

Image path: aaa_Templates/foreman-trusty-image-01

Related issues:

Is duplicate of Foreman - Bug #5630: VmWare clone from template fails if Netw... Closed 05/08/2014

History

#1 - 03/31/2015 02:05 AM - Christian Meißner

Environmentinformation:

Ubuntu            14.04

foreman           1.7.3-1

foreman-compute   1.7.3-1

foreman-proxy     1.7.3-1

foreman-sqlite3   1.7.3-1

foreman-vmware    1.7.3-1

Software installed from deb.theforman.org

#2 - 03/31/2015 03:48 AM - Dominic Cleal

- Is duplicate of Bug #5630: VmWare clone from template fails if Network Adator has labels in VmWare added

#3 - 03/31/2015 03:48 AM - Dominic Cleal

- Status changed from New to Feedback

This looks like bug #5630, which is unfortunately still open.

#4 - 06/26/2015 08:39 AM - Anthony Lapenna

- File production_1.8.1.log added

Same issue here in Foreman 1.8.1, joining my production log.

#5 - 07/01/2015 09:37 AM - Anthony Lapenna

I've been able to patch the issue on my Foreman host by editing the file 

/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb and by replacing the line 359:
https://projects.theforeman.org/issues/5630


interface = interfaces.detect{|i| i[:name] == "Network adapter 1" }

 With:

interface = interfaces.detect{|i| i[:name].end_with?('1') }

 Works for me on a French vsphere installation (interface is named 'Adaptateur réseau 1').

#6 - 07/15/2015 04:28 AM - Timo Goebel

The patch Anthony Lapenna suggested fixed this with a packer build template in German as well.

I could prepare a PR for this. What do you think?

#7 - 07/15/2015 04:36 AM - Dominic Cleal

Timo, yes, that'd be a help I think.  Please use ticket #5630 if you do submit a patch.

The other element that hasn't been fixed and seems to affect some languages is http://projects.theforeman.org/issues/5630#note-4, which I'd expect

you to hit with a German instance - the Datacenter name is different.

#8 - 05/17/2017 10:49 AM - Anonymous

should be resolved by now.

#9 - 05/17/2017 10:49 AM - Anonymous

- Status changed from Feedback to Resolved

Files

production.log 30.1 KB 03/31/2015 Christian Meißner

production_1.8.1.log 16.7 KB 06/26/2015 Anthony Lapenna
